/*
 * 文 件 名:  ForecastConfig
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/6/19
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.config;

import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * 预测配置
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/6/19]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
@Configuration
public class AnalysisConfig {
    @Value("${general-data.weather.adcode}")
    private String adcode;

    @Value("${analysis-task.eco-analysis.area-codes}")
    private String ecoAnalysisArea;

    @Value("${analysis-task.pv-forecast.area-codes}")
    private String pvForecastArea;

    @Value("${analysis-task.elec-consume-forecast.area-codes}")
    private String elecConsumeArea;

    @Value("${analysis-task.carbon-calculation.area-codes}")
    private String carbonCalcArea;

    @Value("${analysis-task.carbon-forecast.area-codes}")
    private String carbonForecastArea;

    @Value("${analysis-task.pv-forecast.forecastDays}")
    private int prodForecastDays;

    @Value("${analysis-task.elec-consume-forecast.forecastDays}")
    private int elecConsumeForecastDays;

    public String[] getEcoAnalysisAreas() {
        return StringUtils.split(ecoAnalysisArea, ",");
    }

    public String[] getPvForecastAreas() {
        return StringUtils.split(pvForecastArea, ",");
    }

    public String[] getElecConsumeAreas() {
        return StringUtils.split(elecConsumeArea, ",");
    }

    public String[] getCarbonCalcAreas() {
        return StringUtils.split(carbonCalcArea, ",");
    }

    public String[] getCarbonForecastAreas() {
        return StringUtils.split(carbonForecastArea, ",");
    }

    public int getProdForecastDays() {
        return prodForecastDays;
    }

    public int getElecConsumeForecastDays() {
        return elecConsumeForecastDays;
    }

    public String getAdcode() {
        return adcode;
    }
}